#include <iostream> 
#include <bcm2835.h>
using namespace std;
 
#define Couloir_1 RPI_BPLUS_GPIO_J8_11  // Numéro de la broche sur le GPIO
#define Couloir_2 RPI_BPLUS_GPIO_J8_13  // Numéro de la broche sur le GPIO

//using namespace std;

// g++ 2_couloirs_simultanes.cpp -l bcm2835 -o 2_couloirs_simultanes // Ligne de compilation
 
void setup() 
	{
	    if (!bcm2835_init())
	    {
	      printf("bcm2835_init failed. Are you running as root??\n");
	    }
	}
 
int main(void)
{
setup();
bcm2835_gpio_fsel(Couloir_1, BCM2835_GPIO_FSEL_INPT); // Broche couloir 1 en sortie
bcm2835_gpio_fsel(Couloir_2, BCM2835_GPIO_FSEL_INPT); // Broche couloir 2 en sortie
cout<<"Lecture 2 couloirs simultanément "<<endl;
while(1)
	{
        if ((!bcm2835_gpio_lev(Couloir_1)) && (!bcm2835_gpio_lev(Couloir_2))) cout<<"Détection de passage couloir 1 & 2"<<endl;  //
        if ((!bcm2835_gpio_lev(Couloir_2)) && (bcm2835_gpio_lev(Couloir_1)))cout<<"Détection de passage couloir 2 seul"<<endl;  //
        if ((!bcm2835_gpio_lev(Couloir_1)) && (bcm2835_gpio_lev(Couloir_2)))cout<<"Détection de passage couloir 1 seul"<<endl;  //
        if ((bcm2835_gpio_lev(Couloir_2)) && (bcm2835_gpio_lev(Couloir_1)))cout<<"Pas de détection de passage"<<endl;  //
        bcm2835_delay(500);
 	}
bcm2835_close();
return 0;
}
